org.apache.flume.sink.hdfs

## Class HDFSWriterFactory

- java.lang.Object
- - org.apache.flume.sink.hdfs.HDFSWriterFactory

-     public class HDFSWriterFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HDFSWriterFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HDFSWriter` | `getWriter(String fileType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HDFSWriterFactory

          public HDFSWriterFactory()

  - ### Method Detail

    - #### getWriter

          public HDFSWriter getWriter(String fileType)
                               throws IOException

      Throws:
        `IOException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.